TraversalDirection (JavaFX 28)
Description: declaration: module: javafx.graphics, package: javafx.scene, enum: TraversalDirection

# Enum Class TraversalDirection

java.lang.Object
java.lang.Enum<TraversalDirection>
javafx.scene.TraversalDirection

All Implemented Interfaces:
  `Serializable, Comparable<TraversalDirection>, Constable`

public enum TraversalDirection extends Enum<TraversalDirection>
Specifies the direction of focus traversal.

Since:
  24
See Also:
  - `Node.requestFocusTraversal(TraversalDirection)`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOWN`
  Indicates a focus change to the node below the currently focused node.
  `LEFT`
  Indicates a focus change to the node to the left of the currently focused node.
  `NEXT`
  Indicates a focus change to the next focusable node.
  `PREVIOUS`
  Indicates a focus change to the previous focusable node.
  `RIGHT`
  Indicates a focus change to the node to the right of the currently focused node.
  `UP`
  Indicates a focus change to the node above the currently focused node.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TraversalDirection`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TraversalDirection[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DOWN

    public static final TraversalDirection DOWN
    Indicates a focus change to the node below the currently focused node.

  - ### LEFT

    public static final TraversalDirection LEFT
    Indicates a focus change to the node to the left of the currently focused node.

  - ### NEXT

    public static final TraversalDirection NEXT
    Indicates a focus change to the next focusable node.

  - ### PREVIOUS

    public static final TraversalDirection PREVIOUS
    Indicates a focus change to the previous focusable node.

  - ### RIGHT

    public static final TraversalDirection RIGHT
    Indicates a focus change to the node to the right of the currently focused node.

  - ### UP

    public static final TraversalDirection UP
    Indicates a focus change to the node above the currently focused node.

- ## Method Details

  - ### values

    public static TraversalDirection[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TraversalDirection valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null